import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";

export const provinceRegisterUser = createAsyncThunk(
  "PROVINCE_REGISTER_USER",
  async (d) => {
    try {
      const { data, status } = await axios.post("system_user_profile/", d);
      return { data, status };
    } catch (e) {
      return { error: e.response.data.result };
    }
  }
);
